Skip to content

List enabled record-matching launch options for an entity page surface.

GET
/api/workspace/entity/{entityIdOrKey}/record-matching/launch-options
curl --request GET \
--url 'https://example.com/api/workspace/entity/example/record-matching/launch-options?surface=0'
  • None
entityIdOrKey
required
string

Target entity definition identifier or key.

surface
integer format: int32
Allowed values: 0 1 2

Entity page surface requesting matching launch options.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Runtime launch options for one entity surface.

object
Surface
integer format: int32
Allowed values: 0 1 2
Profiles
Array<object>
nullable

Compact record-matching profile used by lists and launch options.

object
Id
string
nullable
Name
string
nullable
Key
string
nullable
Enabled
boolean
TargetKind
integer format: int32
Allowed values: 0
TargetEntityDefinitionId
string
nullable
TargetEntityName
string
nullable
TargetEntityDisplayName
string
nullable
ShowOnTablePage
boolean
ShowOnDetailsPage
boolean
ActionMode
integer format: int32
Allowed values: 0
MinimumScore
integer format: int32
MediumConfidenceThreshold
integer format: int32
HighConfidenceThreshold
integer format: int32
RuleCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Surface": 0,
"Profiles": [
{
"TargetKind": 0,
"ActionMode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime launch options for one entity surface.

object
Surface
integer format: int32
Allowed values: 0 1 2
Profiles
Array<object>
nullable

Compact record-matching profile used by lists and launch options.

object
Id
string
nullable
Name
string
nullable
Key
string
nullable
Enabled
boolean
TargetKind
integer format: int32
Allowed values: 0
TargetEntityDefinitionId
string
nullable
TargetEntityName
string
nullable
TargetEntityDisplayName
string
nullable
ShowOnTablePage
boolean
ShowOnDetailsPage
boolean
ActionMode
integer format: int32
Allowed values: 0
MinimumScore
integer format: int32
MediumConfidenceThreshold
integer format: int32
HighConfidenceThreshold
integer format: int32
RuleCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Surface": 0,
"Profiles": [
{
"TargetKind": 0,
"ActionMode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime launch options for one entity surface.

object
Surface
integer format: int32
Allowed values: 0 1 2
Profiles
Array<object>
nullable

Compact record-matching profile used by lists and launch options.

object
Id
string
nullable
Name
string
nullable
Key
string
nullable
Enabled
boolean
TargetKind
integer format: int32
Allowed values: 0
TargetEntityDefinitionId
string
nullable
TargetEntityName
string
nullable
TargetEntityDisplayName
string
nullable
ShowOnTablePage
boolean
ShowOnDetailsPage
boolean
ActionMode
integer format: int32
Allowed values: 0
MinimumScore
integer format: int32
MediumConfidenceThreshold
integer format: int32
HighConfidenceThreshold
integer format: int32
RuleCount
integer format: int32
RowVersion
string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Surface": 0,
"Profiles": [
{
"TargetKind": 0,
"ActionMode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}